## squid3 3.3.8+1

=== debian/changelog ===
squid3 (3.3.8+1-2) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [8454c3c] Sync packaging with Ubuntu 3.3.8-1ubuntu6.8

  [ EOLE Build Daemon ]
  * [23d7e35] Daniel Dehennin: Update package since “debian/eole/3.3.8+1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 05 Jan 2017 09:24:07 +0100

squid3 (3.3.8+1-1) eole-2.5-unstable; urgency=medium

  * [1b434ba] Delete debian/changelog for EOLE builder
  * [5694435] Sync packaging with Ubuntu

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 10 Mar 2016 17:09:23 +0100

squid3 (3.3.8-1ubuntu6.5) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ef421c8] Add patch to ignore empty NTResponse field
  * [c084ddb] Correction du patch

  [ EOLE Build Daemon ]
  * [6ff7282] Daniel Dehennin: Update package since “debian/eole/3.3.8-1ubuntu6.4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 18 Sep 2015 15:16:38 +0200

squid3 (3.3.8-1ubuntu6.4) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ae14ffc] Adapt packaging for EOLE build system
  * [5922e9a] Patch to allow authentication on multiple domains
  * [178272e] Patch to fix NTLM SMB LM authentication

  [ EOLE Build Daemon ]
  * [7903904] Daniel Dehennin: Update package since “debian/eole/3.3.8-1ubuntu6.3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 14 Sep 2015 14:51:49 +0200

squid3 (3.3.8-1ubuntu6.3) trusty-proposed; urgency=low

  * d/patches/fix-caching-vary-header.patch: Added upstream patch
    for the bug which prevented squid from caching responses with
    Vary header. (LP: #1336742) Based on work by Oleg Strikov.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 01 Jul 2015 15:25:59 -0700

squid3 (3.3.8-1ubuntu6.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Fix various ICMP handling issues in Squid pinger.
    (LP: #1384943)
    - CVE-2014-7141
    - CVE-2014-7142

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Tue, 18 Nov 2014 15:03:54 -0300

squid3 (3.3.8-1ubuntu6.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Ignore Range headers with unidentifiable byte-range
    values
    - debian/patches/CVE-2014-3609.patch: adjust src/HttpHdrRange.cc to
      return an error if unable to determine the byte value for ranges
    - CVE-2014-3609

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 26 Aug 2014 13:54:02 -0500
