=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: squid3
 Section: web
 Priority: optional
-Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-XSBC-Ubuntu-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 3.9.4
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap2-dev, libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], dh-apparmor, lsb-release, dh-autoreconf
-XS-Testsuite: autopkgtest
-Vcs-Git: http://dev-eole.ac-dijon.fr/git/squid3
-Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/squid3/repository
+Standards-Version: 3.9.6
+Xs-Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid3.git/
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap2-dev (<< 1.0.0), libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev
 
 Package: squid3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base, ssl-cert (>= 1.0-11ubuntu1)
-Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor (>= 2.3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid3-common (= ${source:Version}), lsb-base
+Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd
 Description: Full featured Web Proxy cache (HTTP proxy)
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, ICY and HTTP data objects.
@@ -92,9 +88,3 @@
  .
  This package contains a small utility that can be used to manage the disk cache
  from the command line.
-
-Package: squid
-Architecture: any
-Depends: ${misc:Depends}, squid3 (= ${binary:Version})
-Description: dependency package from squid to squid3
- Dependency package to install squid3 as the default squid.
