## squid3 3.5.12

=== debian/changelog ===
squid3 (3.5.12-1ubuntu7) xenial; urgency=medium

  * Update apparmor profile to be correct for maas-proxy.

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 12 Apr 2016 13:05:00 -0600

squid3 (3.5.12-1ubuntu6) xenial; urgency=medium

  * Attempt to migrate /var/log/squid3 -> /var/log/squid on upgrade.
  * Update apparmor profile for s/squid3/squid/ and /dev/shm access.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Apr 2016 21:34:50 -0600

squid3 (3.5.12-1ubuntu5) xenial; urgency=medium

  * Use versioned Breaks/Replaces instead of an unversioned Conflicts, to
    further clean up the upgrade ordering.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Apr 2016 21:05:38 +0000

squid3 (3.5.12-1ubuntu4) xenial; urgency=medium

  * Remove redundant version-guarded restart code from squid postinst, which
    doesn't do the right thing on Ubuntu upgrades.
  * Remove duplicated conffile handling from the squid3 dummy package with
    extreme prejudice.  The conffile moving absolutely *must* be done
    exclusively in the squid package; trying to do it in the squid3 package
    causes pristine conffiles to be silently overwritten with any
    locally-modified version from the squid3 package, with hilarious effect.
  * Adjust squid.{pre,post}inst to trick dpkg-maintscript-helper into
    believing we had a previously installed version of this package even if
    we did not, which appears to be a requirement for mv_conffile to DTRT.
    This is certainly a dpkg bug that needs to be filed.
  * Move all Ubuntu-specific dpkg-maintscript-helper delta into
    debian/squid.maintscript for clarity/sanity.  Among other things,
    this uncovers a bug where we're trying to call both mv_conffile and
    rm_conffile for /etc/init.d/squid3.
  * debian/squid3.{pre,post}inst: drop wrong short-circuiting of various
    invocations; we always want to call the debhelper block.
  * debian/squid3.postinst: don't try to stop squid3 again, this is
    redundant.
  * debian/squid3.postrm: don't rm -f conffiles in purge when dpkg already
    handles these.
  * Add missing pre-depends on adduser
  * Anchor the Conflicts/Replaces to the version of the package that
    introduced the name change in Ubuntu, to avoid upgrade ordering problems
    later.
  * Include upgrade migration handling for /var/spool/squid3 ->
    /var/spool/squid.  This won't work if /var/spool/squid3 is a mount point,
    so fail gracefully, but leaving two full squid cache directories around
    after upgrade is a nuisance.
  * Remove empty /etc/squid3 dir on upgrade.
  * Clean up apparmor links for usr.sbin.squid3 on upgrade.  We don't migrate
    these apparmor settings over, so at least don't leave stale links behind.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Mar 2016 19:01:47 -0700

squid3 (3.5.12-1ubuntu3) xenial; urgency=medium

  * Revert last postinst change as it's buggy.
  * Remove /etc/init.d/squid3 from preinst on upgrade.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 Mar 2016 22:46:16 -0400

squid3 (3.5.12-1ubuntu2) xenial; urgency=medium

  * debian/squid.postinst: Fix dist-upgrade of squid by detecting service
    name (/etc/init.d/squid vs. squid3).

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 28 Mar 2016 11:20:35 -0500

squid3 (3.5.12-1ubuntu1) xenial; urgency=medium

  * Merge from Debian (LP: #1473691). Remaining changes:
    - Add dep8 tests.
    - Use snakeoil certificates.
    - Run sarg-reports if present before rotating logs
    - debian/patches/90-cf.data.ubuntu.dpatch: add an example refresh
      pattern for debs.
    - Add disabled by default AppArmor profile. Versioned dependency on
      init-system-helpers (>> 1.22ubuntu5) to ensure we have the
      apparmor-profile-load script at boot time.
  * Drop changes:
    - No longer needed:
      + Upstart job.
      + Dependency package for squid -> squid3: depcrecated; the transitional package now runs the other way.
      + Fix perl & pod2man config.tests.
      + fix-logical-not-parentheses-warning.patch.
      + fix-pod2name-pipe-failure.patch.
      + --disable-strict-error-checking to fix FTBFS.
    - NEWS.Debian: no longer relevant.
    - Hardening options: deprecated.
    - Add patch to show distribution: fixed in Debian (but see
      lsb-release B-D).
    - Enable parallel build: makes no difference to build time.
    - Force -O2 to work around build failure with -O3: presumed no
      longer needed.
    - Fixed upstream:
      + CVE-2014-3609.patch: confirmed fixed since 3.4.7 from upstream
        advisory.
      + Fix various ICMP handling issues in Squid pinger: confirmed
        fixed since 3.4.7 from upstream advisory.
      + fix-caching-vary-header.patch.
      + netfilter_fix.patch.
  * Drop Testsuite: header from dep8 tests: no longer required since
    dpkg-source >= 1.17.11 does it.
  * Revert "Set pidfile for systemd's sysv-generator" from Debian.
    systemd races the squid daemon for pidfile creation, causing systemd
    to consider the service start to have failed. Work around for now by
    not telling systemd to use the pidfile.
  * Add lsb-release build dep. This is required for the
    --enable-build-info line in debian/rules to work correctly.
  * Correctly rename conffiles migrated by Debian from squid3 to squid.
  * Remove conffile for old upstart job Ubuntu delta.
  * Rename Apparmor profile conffile.
  * Drop old transitional Apparmor code no longer required.
  * Adjust AppArmor profile for squid3->squid rename.
  * Drop versioned AppArmor dependency (transitional; no longer
    required).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 25 Feb 2016 11:42:03 +0000

squid3 (3.5.12-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/squid.postinst
    - remove unneeded config edits for manager ACL (Closes: #801564)

  * debian/patches/
    - add upstream patch to cleanup FATAL log messages

  [ Mathieu Parent ]

