=== debian/tests/control ===
Tests: squid
Depends: squid, squidclient, python-unit, elinks, netcat, pygopherd, apparmor-utils, vsftpd
Restrictions: needs-root
