=== debian/control ===
--- 
+++ 
@@ -1,35 +1,30 @@
 Source: squid3
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 3.9.6
-Xs-Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid3.git/
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap3-dev (>= 1.0.1-2), libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev, libgnutls28-dev, dh-apparmor, lsb-release
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid3.git/
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=5), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap3-dev (>= 1.0.1-2), libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev, libgnutls28-dev, lsb-release
 
 Package: squid3
 Architecture: all
 Section: oldlibs
 Priority: extra
 Pre-Depends: squid (>= ${source:Version})
-Depends: ${misc:Depends}
-Description: Dummy transitional package.
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Description: Transitional package
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, ICY and HTTP data objects.
  .
- Squid version 3 is a major rewrite of Squid in C++ and introduces a number of
- new features including ICAP and ESI support.
- .
- This is a dummy transitional package used to migrate from squid3 to squid.
+ This is a transitional package used to migrate from squid3 to squid.
 
 Package: squid
 Architecture: any
-Pre-Depends: adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (= ${source:Version}), lsb-base, ssl-cert, init-system-helpers (>> 1.22ubuntu5)
-Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor
-Breaks: squid3 (<< 3.5.12-1ubuntu1~)
-Replaces: squid3 (<< 3.5.12-1ubuntu1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser, logrotate (>= 3.5.4-1), squid-common (= ${source:Version}), lsb-base, libdbi-perl
+Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd
+Conflicts: squid3 (<< ${binary:Version})
+Replaces: squid3
 Description: Full featured Web Proxy cache (HTTP proxy)
  Squid is a high-performance proxy caching server for web clients, supporting
  FTP, gopher, ICY and HTTP data objects.
