=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_INSTALL_DOCS_squid-common := CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html \
 						SPONSORS 
 
-DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(LDFLAGS)" \
+DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
 		--datadir=/usr/share/squid \
 		--sysconfdir=/etc/squid \
 		--libexecdir=/usr/lib/squid \
@@ -32,7 +32,7 @@
 		--enable-auth-digest="file,LDAP" \
 		--enable-auth-negotiate="kerberos,wrapper" \
 		--enable-auth-ntlm="fake,smb_lm" \
-		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,unix_group,wbinfo_group" \
+		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,time_quota,unix_group,wbinfo_group" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
 		--enable-esi \
@@ -86,10 +86,6 @@
 	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
 	install -m 644 -g root debian/squid-purge.8  $(INSTALLDIR)/usr/share/man/man8
 	chmod 4755 $(INSTALLDIR)/usr/lib/squid/pinger
-	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
-	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
-	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)/etc/apparmor.d
-	dh_apparmor --profile-name=usr.sbin.squid -psquid
 
 clean::
 	# nothing to do
